body {
    overflow: hidden;
    height: 97.5vh;
    margin: 10px;
    padding: 0;
    border: solid 1px white; 
    background-image: url(media/7b5f6094af5bee9faa9582988eeae515.jpg);
    background-size: cover;
    backdrop-filter: blur(20px);
    filter: drop-shadow(2px 2px 5px rgba(255, 255, 255, 0.84));
}

.title {
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    row-gap: 0;
    column-gap: 30px;
    justify-content: center;
    align-items: flex-start;
    z-index: 10;
    color: white;
    padding: 100px 10%;
    filter: drop-shadow(15px 15px 15px rgba(0, 0, 0, 0.84));
    animation-name: flashtext;
    animation-duration: 1s;
}

@keyframes flashtext{
    0%{
        filter: opacity(0);
    }
    5%{
        filter: opacity(100%);
    }
    1%{
        filter: opacity(0);
    }
    20%{
        filter: opacity(100%);
    }
    22%{
        filter: opacity(0);
    }
    25%{
        filter: opacity(100%);
    }
    30%{
        filter: opacity(0);
    }
    34%{
        filter: opacity(100%);
    }
    40%{
        filter: opacity(0);
    }
    50%{
        filter: opacity(100%);
    }
    57%{
        filter: opacity(0%);
    }
    63%{
        filter: opacity(100%);
    }
    70%{
        filter: opacity(0);
    }
    100%{
        filter: opacity(100%);
    }
}

/* ipod colors */
#green {
    filter: hue-rotate(122deg) saturate(0%) brightness(1) contrast(1);
}

#green:hover {
    filter: hue-rotate(122deg) saturate(63%) brightness(89%) contrast(108%);
}


#blue {
    filter: hue-rotate(247deg) saturate(0%);
}
#blue:hover  {
    filter: hue-rotate(247deg) saturate(110%);
}

#pink {
    filter: saturate(0%);
}

#pink:hover  {
    filter: saturate(110%);
}

#windowtop{
    position: fixed;
    width: 100%;
    height: 25px;
    border: 1px solid white;   
    box-sizing: border-box;
    text-align: right;
    margin: 0;
    padding: 0;
}

h3{
    font-family: gridlite-pe-variable, sans-serif;
    font-size: 10pt;
    margin: 0;
    padding: 4px;
    color: white;
}

p {
    text-align: center;
    margin: 0;
    font-family: gridlite-pe-variable, sans-serif;
    font-size: 50pt;
    
    font-variation-settings: "BACK" 1, "ELSH" 4, "RECT" 1, "wght" 900;

    z-index: 0;
    top: 0;
    animation-name: unspread;
    animation-duration: 2s;
}

p:hover {
  animation-name: spread;
  animation-duration: 2s;
}

@keyframes spread {
    0% {
        font-variation-settings: "wght" 900;
    }

    100% {
        font-variation-settings: "wght" 100;
        filter: opacity(0%);
    }
}


@keyframes unspread {
    0% {
        font-variation-settings: "wght" 100;
        filter: opacity(0%);
    }

    100% {
        font-variation-settings: "wght" 900;
    }
}

.container {
    display: flex;
    justify-content: center;
    height: 100%;
}

.ipod {
    /* ipod image */
    width: 100%;
    position: relative;
    filter: drop-shadow(15px 15px 15px rgba(0, 0, 0, 0.76));
    pointer-events: all;
}

.ipodcontent{
    position: absolute;
    transition: 1.25s;
    font-size: .8vw;
    z-index: 5;
    color: rgba(255, 255, 255, 0);
    padding: 15% 18%;
    text-align: center;
    font-family: gridlite-pe-variable, sans-serif;
    font-variation-settings: "BACK" 1, "ELSH" 4, "RECT" 1, "wght" 900;
}

.ipodcontainer {
    /* div for each ipod image */
    width: 20vw;
    align-items: center;
    justify-content: center;
    position: relative;
    translate: 0 200px;
    scale: .8;
    transition: 1.25s;
}

.ipodcontainer:hover {
    translate: 0 0;
}

.ipodcontainer:hover .ipodcontent{
    color: #f99dd8;
}

#ipods {
    /* holds all the ipod divs */
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;

    pointer-events: none;

    overflow: hidden;
    width: 75vw;

    position: absolute;
    bottom: 0;
    padding: 5%;
    z-index: 10;
}

.decotext1{
    position: fixed;
    top: 0;
    left: 0;
    width: 40%;
    translate: 3.1vw 27vh;
    box-sizing: border-box;
    font-size: 1vw;
    color: rgba(255, 255, 255, 0.26);
    filter: blur(px);
    font-family: gridlite-pe-variable, sans-serif;
    font-variation-settings: "wght" 400;
    animation-name: flashtext;
    animation-duration: .8s;
}

.decotext2{
    position: fixed;
    top: 0;
    left: 0;
    width: 50%;
    text-align: right;
    translate: 42.8vw 5vh;
    box-sizing: border-box;
    font-size: 2vw;
    color: rgba(255, 255, 255, 0.26);
    filter: blur(px);
    font-family: gridlite-pe-variable, sans-serif;
    font-variation-settings: "wght" 400;
    animation-name: flashtext;
    animation-duration: 1.3s;
}

pre{
    pointer-events: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 10%;
    translate: -5.3vw 36vh;
    box-sizing: border-box;
    font-size: .57vw;
    color: white;
    font-family: gridlite-pe-variable, sans-serif;
    font-variation-settings: "wght" 600;
    animation-name: flashtext;
    animation-duration: 3s;
}